[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.DataSize

Size of the field's data

## Declaration

Source position: db.pas line 404

`public property TField.DataSize : Integer read GetDataSize;`

## Description

DataSize is the memory size needed to store the field's contents. This is different from the Size property which declares a logical size for datatypes that have a variable size (such as string fields). For BLOB fields, use the TBlobField.BlobSize property to get the size of the field's contents for the current record..

## See also

TField.Size |  | Logical size of the field
TBlobField.BlobSize |  | Size of the current blob

Documentation generated on: Feb 26 2014